Package org.apache.ignite.internal.cdc

## Class CdcUtils

- java.lang.Object
- - org.apache.ignite.internal.cdc.CdcUtils

    public class CdcUtils
    extends Object

Methods to reuse various CDC like utilities.

### Constructor Summary

Constructors
`CdcUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `registerBinaryMeta​(BinaryContext ctx, IgniteLogger log, BinaryMetadata meta)` Register `meta`.
`static void` `registerMapping​(BinaryContext ctx, IgniteLogger log, TypeMapping mapping)` Register `mapping`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CdcUtils

    public CdcUtils()

### Method Detail

#### registerBinaryMeta

    public static void registerBinaryMeta​(BinaryContext ctx,
                                          IgniteLogger log,
                                          BinaryMetadata meta)

Register `meta`.

Parameters:
  `ctx` - Binary context.
  `log` - Logger.
  `meta` - Binary metadata to register.

#### registerMapping

    public static void registerMapping​(BinaryContext ctx,
                                       IgniteLogger log,
                                       TypeMapping mapping)

Register `mapping`.

Parameters:
  `ctx` - Binary context.
  `log` - Logger.
  `mapping` - Type mapping to register.